Package ru.bitel.bgbilling.plugins.packer.server.bean

# Class PackerOptionLibraryDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<B>
ru.bitel.bgbilling.common.dao.AbstractIdDao<PackerOptionLibrary>
ru.bitel.bgbilling.plugins.packer.server.bean.PackerOptionLibraryDao

public class PackerOptionLibraryDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<PackerOptionLibrary>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackerOptionLibraryDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected PackerOptionLibrary`
  `getFromRS(ResultSet rs)`
  `void`
  `searchPackerOptionLibraryList(SearchResult<PackerOptionLibrary> searchResult, String title)`
  `protected void`
  `updateImpl(PackerOptionLibrary packerOptionLibrary)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PackerOptionLibraryDao

    public PackerOptionLibraryDao(Connection con)

- ## Method Details

  - ### searchPackerOptionLibraryList

    public void searchPackerOptionLibraryList(SearchResult<PackerOptionLibrary> searchResult, String title) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected PackerOptionLibrary getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<PackerOptionLibrary>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(PackerOptionLibrary packerOptionLibrary) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<PackerOptionLibrary>`
    Throws:
      `SQLException`